# Überstundenabbau erstellen

`PUT https://{tenant}.stamp.eu/rest/employees/{employee}/overtime_compensations`

Create overtime comp

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `type` | string | ja |
| `start_date` | string | ja |
| `end_date` | string | ja |
| `is_half_day` | boolean | nein |
| `first_day_half` | boolean | nein |
| `last_day_half` | boolean | nein |
| `reason` | string \| null | nein |
| `substitute_employee_id` | string \| null | nein |
| `hours` | number \| null | nein |

## Antworten

### 201: `LeaveRequestResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.employee_name` | string | nein |
| `data.type` | string | ja |
| `data.is_half_day` | boolean | ja |
| `data.first_day_half` | boolean | ja |
| `data.last_day_half` | boolean | ja |
| `data.absence_type` | object | nein |
| `data.absence_type.id` | string | ja |
| `data.absence_type.slug` | string | ja |
| `data.absence_type.name` | string | ja |
| `data.absence_type.color` | string | ja |
| `data.absence_type.icon` | string | ja |
| `data.absence_type.is_system` | string | ja |
| `data.absence_type.category` | string | ja |
| `data.absence_type.unit` | string | ja |
| `data.absence_type.half_day_allowed` | string | ja |
| `data.absence_type.affects_vacation` | string | ja |
| `data.absence_type.target_work_factor` | number | ja |
| `data.absence_type.working_time_flag` | string | ja |
| `data.absence_type.requires_approval` | string | ja |
| `data.absence_type.is_paid` | string | ja |
| `data.absence_type.certificate_required` | string | ja |
| `data.absence_type.certificate_deadline_days` | string | ja |
| `data.absence_type.substitute_option` | string | ja |
| `data.absence_type.count_weekdays_only` | string | ja |
| `data.absence_type.is_active` | string | ja |
| `data.absence_type.sort_order` | string | ja |
| `data.status` | string | ja |
| `data.start_date` | string | ja |
| `data.end_date` | string | ja |
| `data.business_days` | number | ja |
| `data.calculated_days` | number | ja |
| `data.hours` | number \| null | ja |
| `data.valuation_mode` | string | ja |
| `data.days` | string | nein |
| `data.valued_total` | string \| null | nein |
| `data.bucket_allocation` | string | nein |
| `data.reason` | string | ja |
| `data.substitute` | object \| null | nein |
| `data.substitute.id` | string | ja |
| `data.substitute.name` | string | ja |
| `data.substitute_status` | string | ja |
| `data.substitute_responded_at` | string | ja |
| `data.decided_by` | string | ja |
| `data.decided_by_name` | string \| null | nein |
| `data.decided_at` | string | ja |
| `data.decision_note` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |
| `data.can_withdraw` | string | ja |
| `data.withdraw_blocked_reason` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
